## sphinx-tabs 1.1.13+ds

=== Makefile ===
.PHONY: dist install test clean docs

dist:
	python setup.py sdist

install:
	pip install lxml sphinx_testing
	python -B setup.py install

test:
	rm -rf out
	python -B setup.py test
	pip install pycodestyle pylint
	find sphinx_tabs -name "*.py" -print0 | xargs -0 pycodestyle
	pylint --rcfile=pylint.cfg sphinx_tabs

docs:
	rm -rf docs
	sphinx-build -E -n -W example docs
	echo "" > docs/.nojekyll

clean:
	rm -rf build dist test-output *.egg-info

=== debian/changelog ===
sphinx-tabs (1.1.13+ds-1) unstable; urgency=medium

  * Initial release. (closes: #961348)
    - DS repack to include documentation, examples, and test directories.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 30 May 2020 23:55:44 +0200

=== debian/control ===
Source: sphinx-tabs
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-docutils,
               python3-lxml,
               python3-pygments,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-testing
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-tabs
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-tabs.git
Homepage: https://github.com/djungelorm/sphinx-tabs
Rules-Requires-Root: no

Package: python3-sphinx-tabs
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-sphinx-tabs-doc
Description: Tabbed views for Sphinx
 Sphinx Tabs is a Sphinx extension that allows one to create tabbed
 content in a Sphinx documentation built in HTML. The current features
 are:
   - Simple tabs
   - Groupped tabs (synchronize the tabs between multiple areas of the
     page)
   - Code tabs
 .
 This package contains the Python3 library for sphinx-tabs

Package: python3-sphinx-tabs-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Tabbed views for Sphinx - Documentation
 Sphinx Tabs is a Sphinx extension that allows one to create tabbed
 content in a Sphinx documentation built in HTML. The current features
 are:
   - Simple tabs
   - Groupped tabs (synchronize the tabs between multiple areas of the
     page)
   - Code tabs
 .
 This package contains the documentation for sphinx-tabs

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-tabs

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python3-sphinx-tabs/usr/LICENSE

override_dh_python3:
	dh_python3
	# Replace javascript libraries in python3-sphinx-tabs-doc
	find debian/python3-sphinx-tabs-doc -name 'jquery.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-sphinx-tabs-doc -name 'jquery-*.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.js {} \;
	find debian/python3-sphinx-tabs-doc -name 'underscore.js' -type f -exec \
		ln -sf /usr/share/javascript/underscore/underscore.min.js {} \;
	find debian/python3-sphinx-tabs-doc -name 'underscore-*.js' -type f -exec \
		ln -sf /usr/share/javascript/underscore/underscore.js {} \;
	
	rm -f debian/python3-sphinx-tabs/usr/lib/python3/dist-packages/sphinx_tabs/semantic-ui-2.4.1/LICENSE.md

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

=== debian/tests/control ===
Tests: python3-sphinx-tabs
Depends: @,
         python3-all,
         python3-docutils,
         python3-lxml,
         python3-pygments,
         python3-sphinx-testing
Restrictions: allow-stderr

## sphinx-tabs 1.2.1+ds

=== debian/changelog ===
sphinx-tabs (1.2.1+ds-3) unstable; urgency=medium

  * Team upload.
  * d/patches: add patch to fix tests.
    - Patch to resolve an issue in the order of the stylesheets links
      generated in the tests (Closes: #975844).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 23 Dec 2020 14:04:57 -0300

sphinx-tabs (1.2.1+ds-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Hudson-Doyle ]
  * d/patches/0001-The-third-linenos-test-fails-because-pygments-output.patch:
    remove as it somehow causes test failures with Python 3.9 (Closes: 973056)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 11 Nov 2020 12:35:45 +1300

sphinx-tabs (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release 1.2.1+ds
    - Updated d/copyright
    - Updated missing sources
  * d/p/0001: Fix a failing test due to wrong upstream's expectations
  * d/rules:
    - Drop the custom Changelog installation rule
    - Build and install the documentation, as upstream stopped providing a
      compiled one (which is better)

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 08 Sep 2020 21:40:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: sphinx-tabs
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-coverage,
                python3-docutils,
                python3-lxml,
                python3-pygments,
+               python3-pytest,
+               python3-pytest-cov,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-testing
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-tabs
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-tabs.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-tabs
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-tabs.git
 Homepage: https://github.com/djungelorm/sphinx-tabs
 Rules-Requires-Root: no

## sphinx-tabs 1.3.0+ds

=== debian/changelog ===
sphinx-tabs (1.3.0+ds-1) unstable; urgency=medium

  * New upstream release 1.3.0
    - Dropped patch
    - Updated dependency list
    - Updated testing dependencies and methods
  * d/control: Bump Standards-Version to 4.5.1

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Jan 2021 16:57:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-bs4,
                python3-coverage,
                python3-docutils,
-               python3-lxml,
                python3-pygments,
                python3-pytest,
                python3-pytest-cov,
+               python3-pytest-regressions,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-testing
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-tabs
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-tabs.git
 Homepage: https://github.com/djungelorm/sphinx-tabs

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 export PYBUILD_NAME=sphinx-tabs
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
+	python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
 override_dh_auto_install:
@@ -25,6 +26,3 @@
 		ln -sf /usr/share/javascript/underscore/underscore.js {} \;
 	
 	rm -f debian/python3-sphinx-tabs/usr/lib/python3/dist-packages/sphinx_tabs/semantic-ui-2.4.1/LICENSE.md
-
-override_dh_installchangelogs:
-	dh_installchangelogs CHANGES.txt

=== debian/tests/control ===
Tests: python3-sphinx-tabs
Depends: @,
         python3-all,
         python3-bs4,
         python3-coverage,
         python3-docutils,
         python3-pygments,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-regressions,
         python3-sphinx-testing
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+ds$// \
https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## sphinx-tabs 3.2.0

=== debian/changelog ===
sphinx-tabs (3.2.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit to fix tests failure with docutils 0.17.
    Bump python3-docutils build- and test dependency to 0.17.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Oct 2021 17:58:22 +0300

sphinx-tabs (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * sphinx-tabs 3.2 needs sphinx 4. Closes: #995919
  * d/control: append ":any" to python build-dep to enable cross
    building
  * Make use of ${sphinxdoc:Built-Using}

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 20:26:24 +0200

sphinx-tabs (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/watch to track tags from GitHub. This way repacking the
    tarball manually to include docs and test directories is not needed.
  * Remove debian/copyright section for semantic-ui, it was removed.
  * Stop symlinking JS files manually, dh_sphinxdoc does that.
  * Remove python3-sphinx-testing build-dependency, it is not needed.
  * Skip test_rinohtype_pdf test, it needs a module which is not packaged.
  * Backport two upstream commits to make the other tests pass.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Oct 2021 17:06:26 +0300

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3-all:any,
                python3-bs4,
                python3-coverage,
-               python3-docutils,
+               python3-docutils (>= 0.17),
                python3-pygments,
                python3-pytest,
                python3-pytest-cov,
                python3-pytest-regressions,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-testing
+               python3-sphinx (>=4)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-tabs
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-tabs.git
@@ -48,6 +47,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Tabbed views for Sphinx - Documentation
  Sphinx Tabs is a Sphinx extension that allows one to create tabbed
  content in a Sphinx documentation built in HTML. The current features

=== debian/tests/control ===
Tests: python3-sphinx-tabs
Depends: @,
         python3-all,
         python3-bs4,
         python3-coverage,
         python3-docutils (>= 0.17),
         python3-pygments,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-regressions
Restrictions: allow-stderr

## sphinx-tabs 3.4.1

=== debian/changelog ===
sphinx-tabs (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Tests pass with Sphinx 5 (closes: #1013391).
  * Drop all patches, included in the new release.
  * Depend on sphinx ≥ 5 and pytest ≥ 7.1 for testing.
  * debian/tests/python3-sphinx-tabs: Test all supported Python versions.
  * Fix built-using-field-on-arch-all-package Lintian warning.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 12:47:12 +0300

sphinx-tabs (3.2.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:58:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                python3-coverage,
                python3-docutils (>= 0.17),
                python3-pygments,
-               python3-pytest,
+               python3-pytest (>= 7.1),
                python3-pytest-cov,
                python3-pytest-regressions,
                python3-setuptools,
-               python3-sphinx (>=4)
-Standards-Version: 4.5.1
+               python3-sphinx (>= 5)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-tabs
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-tabs.git
 Homepage: https://github.com/djungelorm/sphinx-tabs
@@ -47,7 +47,6 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Tabbed views for Sphinx - Documentation
  Sphinx Tabs is a Sphinx extension that allows one to create tabbed
  content in a Sphinx documentation built in HTML. The current features

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-tabs
export PYBUILD_TEST_ARGS=-k 'not test_rinohtype_pdf'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python3-sphinx-tabs/usr/LICENSE

## sphinx-tabs 3.4.4

=== debian/changelog ===
sphinx-tabs (3.4.4-1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 31 Jan 2024 11:55:27 +0000

sphinx-tabs (3.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Make-the-tests-pass-with-Sphinx-7.1.patch, included in the new
    release.
  * Add a new patch to restore tests compatibility with Sphinx 5.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Oct 2023 09:12:29 +0300

sphinx-tabs (3.4.1-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to make the tests pass with Sphinx 7.1 (closes: #1042589).
  * Clean auto-generated files using debian/clean (closes: #1046830).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Aug 2023 16:32:35 +0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pytest-regressions,
                python3-setuptools,
                python3-sphinx (>= 5)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-tabs
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-tabs.git
 Homepage: https://github.com/djungelorm/sphinx-tabs

## sphinx-tabs 3.4.7

=== debian/changelog ===
sphinx-tabs (3.4.7-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to make the tests pass with Docutils 0.22.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Sep 2025 13:43:15 +0300

sphinx-tabs (3.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Restore-tests-compatibility-with-Sphinx-5.patch, no longer needed.
  * Add patch to update tests for Sphinx 8.1.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Nov 2024 20:20:26 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all:any,
                python3-bs4,
                python3-coverage,
@@ -15,7 +15,7 @@
                python3-pytest-regressions,
                python3-setuptools,
                python3-sphinx (>= 5)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-tabs
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-tabs.git
 Homepage: https://github.com/djungelorm/sphinx-tabs

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_TEST_ARGS=-k 'not test_rinohtype_pdf'
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

=== debian/tests/control ===
Tests: python3-sphinx-tabs
Depends: @,
         python3-all,
         python3-bs4,
         python3-coverage,
         python3-docutils (>= 0.17),
         python3-pygments,
         python3-pytest (>= 7.1),
         python3-pytest-cov,
         python3-pytest-regressions,
         python3-sphinx (>= 5)
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/executablebooks/sphinx-tabs/tags \
    /executablebooks/sphinx-tabs/archive/refs/tags/v@ANY_VERSION@\.tar\.gz
